LoaderUtils (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: LoaderUtils

Package org.apache.tools.ant.util

# Class LoaderUtils

java.lang.Object
org.apache.tools.ant.util.LoaderUtils

public class LoaderUtils extends Object
ClassLoader utility methods

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoaderUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `classExists(ClassLoader loader, String className)`
  Check if a classloader has a classname resource.
  `static String`
  `classNameToResource(String className)`
  Return the resource name of a class name.
  `static File`
  `getClassSource(Class<?> c)`
  Find the directory or jar file the class has been loaded from.
  `static ClassLoader`
  `getContextClassLoader()`
  JDK1.1 compatible access to set the context class loader.
  `static File`
  `getResourceSource(ClassLoader c, String resource)`
  Find the directory or a give resource has been loaded from.
  `static boolean`
  `isContextLoaderAvailable()`
  Indicates if the context class loader methods are available
  `static void`
  `setContextClassLoader(ClassLoader loader)`
  Set the context classloader

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoaderUtils

    public LoaderUtils()

- ## Method Details

  - ### setContextClassLoader

    public static void setContextClassLoader(ClassLoader loader)
    Set the context classloader
    Parameters:
      `loader` - the ClassLoader to be used as the context class loader on the current thread.

  - ### getContextClassLoader

    public static ClassLoader getContextClassLoader()
    JDK1.1 compatible access to set the context class loader.
    Returns:
      the ClassLoader instance being used as the context classloader on the current thread. Returns null on JDK 1.1

  - ### isContextLoaderAvailable

    public static boolean isContextLoaderAvailable()
    Indicates if the context class loader methods are available
    Returns:
      true if the get and set methods dealing with the context classloader are available.

  - ### getClassSource

    public static File getClassSource(Class<?> c)
    Find the directory or jar file the class has been loaded from.
    Parameters:
      `c` - the class whose location is required.
    Returns:
      the file or jar with the class or null if we cannot determine the location.
    Since:
      Ant 1.6

  - ### getResourceSource

    public static File getResourceSource(ClassLoader c, String resource)
    Find the directory or a give resource has been loaded from.
    Parameters:
      `c` - the classloader to be consulted for the source
      `resource` - the resource whose location is required.
    Returns:
      the file with the resource source or null if we cannot determine the location.
    Since:
      Ant 1.6

  - ### classNameToResource

    public static String classNameToResource(String className)
    Return the resource name of a class name.
    Parameters:
      `className` - the name of the class to convert.
    Returns:
      the corresponding resource name.
    Since:
      Ant 1.7.0.

  - ### classExists

    public static boolean classExists(ClassLoader loader, String className)
    Check if a classloader has a classname resource.
    Parameters:
      `loader` - the classloader to look it.
      `className` - the name of the class to look for.
    Returns:
      true if the class exists, false otherwise
    Since:
      Ant 1.7.0.